<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcSimpleCamera Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcSimpleCamera Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcSimpleCamera" --><!-- doxytag: inherits="iPcCamera" -->
<p>A class representing a simple camera, with capabilities for both first-person and third-person modes.  
 <a href="structiPcSimpleCamera.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="simpcam_8h_source.html">propclass/simpcam.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcSimpleCamera:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcSimpleCamera.png" usemap="#iPcSimpleCamera_map" alt=""/>
  <map id="iPcSimpleCamera_map" name="iPcSimpleCamera_map">
<area href="structiPcCamera.html" title="The representation of a camera." alt="iPcCamera" shape="rect" coords="0,56,111,80"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,111,24"/>
</map>
 </div></div>

<p><a href="structiPcSimpleCamera-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSimpleCamera.html#a58e46c1f9586b737abad025db270fc85">Draw</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Render.  <a href="#a58e46c1f9586b737abad025db270fc85"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSimpleCamera.html#a95ffb58b6cc9bfffca79cb86fee8d740">SetCameraOffset</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;offset, bool world=false)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the offset from the center of the mesh's <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMovable.html">iMovable</a> to the position of the camera.  <a href="#a95ffb58b6cc9bfffca79cb86fee8d740"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSimpleCamera.html#af64d423d879548ffdda09fdbeb1e3afb">SetDrawMesh</a> (bool draw)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a flag to determine whether or not the attached mesh and its children will be drawn in this camera view.  <a href="#af64d423d879548ffdda09fdbeb1e3afb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSimpleCamera.html#adb33dfbbf5e30145e13092fa20a87257">SetLookAtOffset</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;lookat)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the offset from the center of the mesh's <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMovable.html">iMovable</a> to the point the camera should look at.  <a href="#adb33dfbbf5e30145e13092fa20a87257"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSimpleCamera.html#a58f73bf946a932c5308565219cf32786">SetMesh</a> (<a class="el" href="structiPcMesh.html">iPcMesh</a> *mesh)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the mesh to follow.  <a href="#a58f73bf946a932c5308565219cf32786"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A class representing a simple camera, with capabilities for both first-person and third-person modes. </p>
<p>This property class supports the following actions (add prefix 'cel.camera.simple.action.' if you want to access this action through a message):</p>
<ul>
<li>InitCamera: parameters 'campos' (vector3), 'lookat' (vector3), 'drawmesh' (bool).</li>
<li>SetPosition: parameters 'campos' (vector3), 'lookat' (vector3).</li>
<li>SetMesh: parameters 'meshpctag' (string). </li>
</ul>

<p>Definition at line <a class="el" href="simpcam_8h_source.html#l00038">38</a> of file <a class="el" href="simpcam_8h_source.html">simpcam.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a58e46c1f9586b737abad025db270fc85"></a><!-- doxytag: member="iPcSimpleCamera::Draw" ref="a58e46c1f9586b737abad025db270fc85" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSimpleCamera.html#a58e46c1f9586b737abad025db270fc85">iPcSimpleCamera::Draw</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Render. </p>
<p>This will clear the screen then draw on top of it. </p>

<p>Implements <a class="el" href="structiPcCamera.html#af8f854a9ed62fa704a00cbabfa5e8539">iPcCamera</a>.</p>

</div>
</div>
<a class="anchor" id="a95ffb58b6cc9bfffca79cb86fee8d740"></a><!-- doxytag: member="iPcSimpleCamera::SetCameraOffset" ref="a95ffb58b6cc9bfffca79cb86fee8d740" args="(const csVector3 &amp;offset, bool world=false)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSimpleCamera.html#a95ffb58b6cc9bfffca79cb86fee8d740">iPcSimpleCamera::SetCameraOffset</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>world</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the offset from the center of the mesh's <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMovable.html">iMovable</a> to the position of the camera. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">offset</td><td>the offset from the center of the mesh to the camera position. </td></tr>
    <tr><td class="paramname">world</td><td>if true then the offset is in world space so the camera will always look from the same side. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af64d423d879548ffdda09fdbeb1e3afb"></a><!-- doxytag: member="iPcSimpleCamera::SetDrawMesh" ref="af64d423d879548ffdda09fdbeb1e3afb" args="(bool draw)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSimpleCamera.html#af64d423d879548ffdda09fdbeb1e3afb">iPcSimpleCamera::SetDrawMesh</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>draw</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a flag to determine whether or not the attached mesh and its children will be drawn in this camera view. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">draw</td><td>if true, the mesh will be drawn in this view. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adb33dfbbf5e30145e13092fa20a87257"></a><!-- doxytag: member="iPcSimpleCamera::SetLookAtOffset" ref="adb33dfbbf5e30145e13092fa20a87257" args="(const csVector3 &amp;lookat)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSimpleCamera.html#adb33dfbbf5e30145e13092fa20a87257">iPcSimpleCamera::SetLookAtOffset</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>lookat</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the offset from the center of the mesh's <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMovable.html">iMovable</a> to the point the camera should look at. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">lookat</td><td>the offset from the center of the mesh to the lookat position. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a58f73bf946a932c5308565219cf32786"></a><!-- doxytag: member="iPcSimpleCamera::SetMesh" ref="a58f73bf946a932c5308565219cf32786" args="(iPcMesh *mesh)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSimpleCamera.html#a58f73bf946a932c5308565219cf32786">iPcSimpleCamera::SetMesh</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMesh.html">iPcMesh</a> *&#160;</td>
          <td class="paramname"><em>mesh</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the mesh to follow. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">mesh</td><td>the mesh property class for the camera to follow. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="simpcam_8h_source.html">simpcam.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
